<md-content 
    wb-infinate-scroll="loadNextServices"
    flex
    layout="column">

    <!-- Content -->
    <div layout="row">
        <wb-content
            wb-setting-anchor="main"
            wb-editable="ngEditable"
            wb-model="contentValue"
            flex
            style="overflow: auto;">
        </wb-content>
        <wb-setting-panel-group
            id="main"
            ng-show="ngEditable"
            flex="40"
            style="overflow: auto;">
        </wb-setting-panel-group>
    </div>

    <!-- Subcategories -->
    <div 
        layout="row"
        layout-align="center start"
        layout-wrap>
        <md-progress-circular 
            md-mode="indeterminate" 
            md-diameter="96px" 
            ng-if="loadingCategories">
        </md-progress-circular>
        <div 
             itemscope 
             itemtype="http://schema.org/Thing"
             md-colors="{borderColor: 'primary-200'}"
             class="clickable-item"
             ng-repeat="category in categories"
             layout="column"
             layout-align="none center"
             layout-margin
             ng-click="goToCategoryPath('category/' + category.id)" >

            <div>
                <img 
                    itemprop="image" 
                    ng-if="category.thumbnail"
                    style="max-height:128px; max-width:128px; min-height:128px; min-width: 128px"
                    ng-src="/api/cms/{{category.thumbnail}}/download"
                    alt="{{category.name}}">

                <img 
                    ng-if="!category.thumbnail" 
                    style="max-height:128px; max-width:128px; min-height:128px; min-width: 128px"
                    ng-src="images/default-folder.svg"
                    alt="{{category.name}}">
            </div>
            <p itemprop="name" ng-href="category/{{category.id}}">{{category.name}}</p>
            <meta ng-if="parentCategory.name" itemprop="category" content="{{parentCategory.name}}">    
        </div>
    </div>

    <!-- Services -->
    <div 
        layout="row"
        layout-align="center start"
        layout-wrap>
        <md-progress-circular 
            md-mode="indeterminate" 
            md-diameter="96px" 
            ng-if="loadingServices">
        </md-progress-circular>
        <div 
             itemscope 
             itemtype="http://schema.org/Service"
             class="clickable-item"
             md-colors="{borderColor: 'primary-200'}"
             ng-repeat="service in services"
             layout="column"
             layout-align="none center"
             layout-margin
             ng-click="submitToOrder(service)">
            
            <div>
                <img 
                     itemprop="image"
                     ng-if="service.avatar"
                     style="max-height:100px; max-width:128px; min-height:128px; min-width: 128px"
                     ng-src="{{service.avatar}}"
                     alt="{{service.title}}">

                <img ng-if="!service.avatar" 
                     style="max-height:128px; max-width:128px; min-height:128px; min-width: 128px"
                     ng-src="images/default-folder.svg"
                     alt="{{service.title}}">
            </div>
            <p itemprop="name" ng-href="shop/create-order/{{service.id}}">{{service.title}}</p>
            <meta ng-if="parentCategory.name" itemprop="category" content="{{parentCategory.name}}">
        </div>
    </div>
</md-content>




